Summary:	Small, safe and fast formatting library
Summary(pl.UTF-8):	Mała, bezpieczna i szybka biblioteka do formatowania
Name:		libfmt
Version:	10.2.1
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/fmtlib/fmt/releases
Source0:	https://github.com/fmtlib/fmt/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	dc09168c94f90ea890257995f2c497a5
URL:		https://github.com/fmtlib/fmt
BuildRequires:	cmake >= 3.8
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern formatting library.

%description -l pl.UTF-8
Nowoczesna biblioteka formatująca

%package devel
Summary:	Header files for fmt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki fmt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for fmt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki fmt.

%prep
%setup -q -n fmt-%{version}

%build
install -d build
cd build
%cmake .. \
	-DFMT_CMAKE_DIR="%{_libdir}/cmake/fmt" \
	-DFMT_LIB_DIR=%{_libdir} \
	-DFMT_TEST=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog.md LICENSE README.md
%attr(755,root,root) %{_libdir}/libfmt.so.*.*.*
%ghost %{_libdir}/libfmt.so.10

%files devel
%defattr(644,root,root,755)
%{_libdir}/libfmt.so
%{_includedir}/fmt
%{_libdir}/cmake/fmt
%{_pkgconfigdir}/fmt.pc
%changelog
* Thu Jan 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfmt.git;a=log;h=master

* Thu Jan 04 2024 Jan Palus <atler@pld-linux.org> 94af06b
- up to 10.2.1

* Tue Jan 02 2024 Jan Palus <atler@pld-linux.org> 4efb10e
- up to 10.2.0

* Wed Dec 27 2023 Jan Palus <atler@pld-linux.org> 047e973
- drop static subpackage (never had %files)

* Tue Aug 29 2023 Jan Palus <atler@pld-linux.org> 94a2dc4
- up to 10.1.1

* Sun Aug 13 2023 Jan Palus <atler@pld-linux.org> 3b89f6b
- up to 10.1.0

* Sat Jul 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 8530a91
- updated to 10.0.0 (new soname) with time_point fix from upstream

* Tue Aug 30 2022 Jakub Bogusz <qboosh@pld-linux.org> aef4b4d
- updated to 9.1.0 (new soname)

* Tue Feb 15 2022 Jakub Bogusz <qboosh@pld-linux.org> bf97449
- updated to 8.1.1, pl

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 628541a
- up to 8.0.1

* Wed Jan 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b52a2a5
- up to 7.1.3

* Tue Sep 01 2020 Jan Palus <atler@pld-linux.org> 697c894
- up to 7.0.3 (new soname)

* Sun Apr 01 2018 Elan Ruusamäe <glen@pld-linux.org> 45bc75e
- new, version 3.0.1

